SDL Library Documentation
Prev |  | Next

# SDL_CondBroadcast

## Name

SDL_CondBroadcast -- Restart all threads waiting on a condition variable

## Synopsis

    #include "SDL.h"
    #include "SDL_thread.h"

``int SDL_CondBroadcast`(SDL_cond *cond);`

## Description

Restarts all threads that are waiting on the condition variable, `cond`. Returns 0 on success, or -1 on an error.

## See Also

`SDL_CondSignal`, `SDL_CondWait`

Prev | Home | Next
SDL_CondSignal | Up | SDL_CondWait